Subject: Re: bug#78026: 31.0.50; browse-url-interactive-arg does not handle nil (this-command-keys)

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Apr 2025 10:26:21 +0300

> From: StrawberryTea <[email-masked]>
> Date: Wed, 23 Apr 2025 22:46:52 -0400
> 
> 
> Hello. So when fixing https://github.com/oantolin/embark/pull/750, I
> realized that browse-url-interactive-arg does not handle
> (this-command-keys) being the empty vector and that causes
> browse-url-interactive-arg to emit an error when called programmatically
> in embark.el. We should make it so that if (this-command-keys) returns
> an empty vector, then mouse-set-point is not called.

I don't think I understand how this happens.  Can you show a simple
recipe for reproducing this issue?

And why is browse-url-interactive-arg invoked non-interactively in the
first place?

Stefan, when can this-command-keys return an empty string or vector?
The documentation never says anything about that?  The only situations
I could imagine is some process filter or timer running when we just
happened to zero out this_command_key_count, but is that possible?